Debian Bug report logs - #367903
RM: libzlib-ruby -- RoM; ruby 1.6 removal

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Fumitoshi UKAI <ukai@debian.or.jp>

Date: Thu, 18 May 2006 17:03:25 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367903; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fumitoshi UKAI <ukai@debian.or.jp>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: submit@bugs.debian.org
Subject: remove libzlib-ruby from testing and unstable
Date: Fri, 19 May 2006 02:00:30 +0900
Package: ftp.debian.org

We're planning to remove ruby 1.6 from etch release. 
See http://wiki.debian.org/RemoveRuby16 and recent discussion on 
debian-ruby lists.

libzlib-ruby builds only ruby 1.6 module libzlib-ruby1.6
and there are no depending package on this now. 
So, please remove libzlib-ruby source package and libzlib-ruby1.6 binary 
package from testing and unstable.

Thanks,
Fumitoshi UKAI



Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367903; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 367903@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 367903@bugs.debian.org
Cc: Fumitoshi UKAI <ukai@debian.or.jp>, control@bugs.debian.org
Subject: libzlib-removal
Date: Wed, 19 Jul 2006 15:13:23 +0200
[Message part 1 (text/plain, inline)]
tags 367903 moreinfo
thanks

Hi

> libzlib-ruby builds only ruby 1.6 module libzlib-ruby1.6
> and there are no depending package on this now. 
> So, please remove libzlib-ruby source package and libzlib-ruby1.6 binary 
> package from testing and unstable.

I disagree:

debpartial has an unsatisfied dependency on [all arch]

You need to (let the maintainer) fix that first, then come back (and
remove moreinfo tag) please.

-- 
bye Joerg
Yeah, patching debian/rules sounds like changing shoes while running the
100 meters track.
  -- Michael Koch
[Message part 2 (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Joerg Jaspert <joerg@ganneff.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367903; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Fumitoshi UKAI <ukai@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 367903@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: Joerg Jaspert <joerg@ganneff.de>
Cc: 367903@bugs.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>
Subject: Re: libzlib-removal
Date: Thu, 20 Jul 2006 00:18:58 +0900
At Wed, 19 Jul 2006 15:13:23 +0200,
Joerg Jaspert wrote:

> > libzlib-ruby builds only ruby 1.6 module libzlib-ruby1.6
> > and there are no depending package on this now. 
> > So, please remove libzlib-ruby source package and libzlib-ruby1.6 binary 
> > package from testing and unstable.
> 
> I disagree:
> 
> debpartial has an unsatisfied dependency on [all arch]

debpartial depends on libzlib-ruby, which is dummy package
built from ruby-defaults, that depends on libzlib-ruby1.8 built from
ruby1.8.

We don't need libzlib-ruby source package and libzlib-ruby1.6 binary
package built from the libzlib-ruby source package.

Please remove libzlib-ruby source package and libzlib-ruby1.6 binary
package.

Regards,
Fumitoshi Ukai



Tags removed: moreinfo Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fumitoshi UKAI <ukai@debian.or.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 367903-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 367903-close@bugs.debian.org
Cc: libzlib-ruby@packages.debian.org, libzlib-ruby@packages.qa.debian.org
Subject: Bug#367903: fixed
Date: Thu, 27 Jul 2006 15:17:45 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libzlib-ruby |    0.6.0-5 | source
libzlib-ruby1.6 |    0.6.0-5 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367903@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 10:55:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:11:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.